/*
 * BlueScreenNode is a PictNode that composes the
 * picture using the bluescreen() method in Picture
 **/
public class BlueScreenNode extends PictNode {
  
  /*
   * Construct does nothing fancy
   **/
  public BlueScreenNode(Picture p){
    super(p); // Call superclass constructor
  }
  
  /**
   * Method to return a string with informaiton 
   * about this node
   */
  public String toString() 
  {
    return "BlueScreenNode (with picture: "+myPict+" and next: "+next;
  }
  
  /*
   * Use the given turtle to draw oneself
   * @param pen the Turtle to draw with
   **/
  public void drawWith(Turtle pen){
    Picture bg = pen.getPicture();
    myPict.bluescreen(bg,pen.getXPos(),pen.getYPos());
  }
}
